libosmogsm 1.13.1.1-afb4 Osmocom GSM library

Data Fields
gsm0808_channel_type Struct Reference

`#include <gsm_08_08.h>`

## Data Fields
uint8_t | ch_indctr
uint8_t | ch_rate_type
uint8_t | perm_spch [CH_TYPE_PERM_SPCH_MAXLEN]
unsigned int | perm_spch_len
bool | data_transparent
uint8_t | data_rate
bool | data_rate_allowed_is_set
uint8_t | data_rate_allowed
bool | data_asym_pref_is_set
enum gsm0808_channel_type_asym_pref | data_asym_pref

## Field Documentation

## ◆ ch_indctr

uint8_t gsm0808_channel_type::ch_indctr

Referenced by gsm0808_channel_type_name_buf(), gsm0808_dec_channel_type(), and gsm0808_enc_channel_type().

## ◆ ch_rate_type

uint8_t gsm0808_channel_type::ch_rate_type

Referenced by gsm0808_channel_type_name_buf(), gsm0808_dec_channel_type(), and gsm0808_enc_channel_type().

## ◆ data_asym_pref

enum gsm0808_channel_type_asym_pref gsm0808_channel_type::data_asym_pref

Referenced by gsm0808_dec_channel_type(), and gsm0808_enc_channel_type().

## ◆ data_asym_pref_is_set

bool gsm0808_channel_type::data_asym_pref_is_set

Referenced by gsm0808_dec_channel_type(), and gsm0808_enc_channel_type().

## ◆ data_rate

uint8_t gsm0808_channel_type::data_rate

Referenced by gsm0808_dec_channel_type(), and gsm0808_enc_channel_type().

## ◆ data_rate_allowed

uint8_t gsm0808_channel_type::data_rate_allowed

Referenced by gsm0808_dec_channel_type(), and gsm0808_enc_channel_type().

## ◆ data_rate_allowed_is_set

bool gsm0808_channel_type::data_rate_allowed_is_set

Referenced by gsm0808_dec_channel_type(), and gsm0808_enc_channel_type().

## ◆ data_transparent

bool gsm0808_channel_type::data_transparent

Referenced by gsm0808_dec_channel_type(), and gsm0808_enc_channel_type().

## ◆ perm_spch

uint8_t gsm0808_channel_type::perm_spch[CH_TYPE_PERM_SPCH_MAXLEN]

Referenced by gsm0808_channel_type_name_buf(), gsm0808_dec_channel_type(), and gsm0808_enc_channel_type().

## ◆ perm_spch_len

unsigned int gsm0808_channel_type::perm_spch_len

Referenced by gsm0808_channel_type_name_buf(), gsm0808_dec_channel_type(), and gsm0808_enc_channel_type().

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/protocol/gsm_08_08.h